/**
 * @package		Gantry Template Framework - RocketTheme
 * @version		1.6.6 March 14, 2012
 * @author		RocketTheme http://www.rockettheme.com
 * @copyright 	Copyright (C) 2007 - 2012 RocketTheme, LLC
 * @license		http://www.rockettheme.com/legal/license.php RocketTheme Proprietary Use License
 */

window.addEvent('load', function() {
	var container = $$('.image-container');
	container.each(function(wrap) {
		var size, brws;
		if (MooTools.version <= '1.12') {
			size = wrap.getFirst().getSize().size.y;
			brws = window.ie;
		}
		else {
			size = wrap.getFirst().getSize().y;
			brws = Browser.Engine.trident;
		}

	    var height = size, smalls = wrap.getLast();
		if (!brws) smalls.setStyles({'height': height, 'max-height': 'inherit'});
	    smalls.getChildren().each(function(thumb) {
	        thumb.addEvent('click', function() {
	            var height = smalls.getStyle('height');
	            smalls.setStyle('height', height);
	        });
	    });
		new Scroller(smalls).start();
	});
});